Bug 434593 - Review Request: stalonetray - A stand alone notification area implementation
Review Request: stalonetray - A stand alone notification area implementation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 18:24 EST by Sebastian Vahl
Modified: 2008-02-27 17:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 17:47:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2008-02-22 18:24:45 EST
Spec URL: http://svahl.fedorapeople.org/stalonetray/stalonetray.spec
SRPM URL: http://svahl.fedorapeople.org/stalonetray/stalonetray-0.7.6-1.fc8.src.rpm
Description:
The stalonetray is a STAnd-aLONE system TRAY (notification area).
It has minimal build and run-time dependencies: the Xlib only. The XEMBED
support is planned. Stalonetray runs under virtually any window manager.


scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=462589
Comment 1 Parag AN(पराग) 2008-02-26 23:49:57 EST
Good to use make install command as
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

License looks to me GPLv2+

Can we have summary like this?
Summary:        A stand alone notification area
Comment 2 Sebastian Vahl 2008-02-27 02:16:52 EST
(In reply to comment #1)
> Good to use make install command as
> make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

done

> License looks to me GPLv2+

Ok. Changed.

> Can we have summary like this?
> Summary:        A stand alone notification area

Sure. Done.

Spec URL: http://svahl.fedorapeople.org/stalonetray/stalonetray.spec
SRPM URL: 
http://svahl.fedorapeople.org/stalonetray/stalonetray-0.7.6-2.fc8.src.rpm

Comment 3 Parag AN(पराग) 2008-02-27 05:32:44 EST
Review:
+ package builds in mock (rawhide i386).
koji build =>  http://koji.fedoraproject.org/koji/taskinfo?taskID=472706
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
eebb46182b64d75b89776bbfc867f470  stalonetray-0.7.6.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 4 Sebastian Vahl 2008-02-27 11:43:34 EST
(In reply to comment #3)
> APPROVED.

Thanks!

New Package CVS Request
=======================
Package Name: stalonetray
Short Description: A stand alone notification area
Owners: svahl
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: no

Comment 5 Kevin Fenzi 2008-02-27 13:53:49 EST
cvs done.
Comment 6 Sebastian Vahl 2008-02-27 17:47:16 EST
(In reply to comment #5)
> cvs done.

Thanks!

Imported and built: http://koji.fedoraproject.org/koji/taskinfo?taskID=473582


Note You need to log in before you can comment on or make changes to this bug.